<?php

class Datac {
    private $iv;
    private $sv;
    function __construct($iv, $sv) {
        $this->iv = $iv;
        $this->sv = $sv;
    }
    function __toString() {
        return sprintf('{iv: %d, sv: %s}', $this->iv, trim($this->sv));
    }
    function pack() {
        return pack('Va*', $this->iv, trim($this->sv) . "\0");
    }
    function unpack($blk) {
        $this->iv = unpack('V', $blk, 0)[1];
        $this->sv = trim(unpack('a*', $blk, 4)[1]);
    }
}

?>
