import struct

class Datac:
    def __init__(self, iv, sv):
        self.iv = iv
        self.sv = sv
    def __str__(self):
        return '{iv: %d, sv: %s}' % (self.iv, self.sv)
    def pack(self):
        return struct.pack('<l256s', self.iv, bytes(self.sv, 'iso-8859-1'))
    def unpack(self, blk):
        data = struct.unpack('<l256s', blk)
        self.iv = data[0]
        self.sv = str(data[1], 'iso-8859-1').rstrip(' \0')
