<?php

class Datap {
    private $iv;
    private $sv;
    function __construct($iv, $sv) {
        $this->iv = $iv;
        $this->sv = $sv;
    }
    function __toString() {
        return sprintf('{iv: %d, sv: %s}', $this->iv, trim($this->sv));
    }
    function pack() {
        return pack('Vva*', $this->iv, strlen(trim($this->sv)), str_pad(trim($this->sv), 256, ' '));
    }
    function unpack($blk) {
        $this->iv = unpack('V', $blk, 0)[1];
        $len = unpack('v', $blk, 4)[1];
        $this->sv = trim(substr(unpack('a*', $blk, 6)[1], 0, $len));
    }
}

?>
