import struct

class Datap:
    def __init__(self, iv, sv):
        self.iv = iv
        self.sv = sv
    def __str__(self):
        return '{iv: %d, sv: %s}' % (self.iv, self.sv)
    def pack(self):
        temp = bytes(self.sv, 'iso-8859-1')
        return struct.pack('<lh256s', self.iv, len(temp), temp)
    def unpack(self, blk):
        data = struct.unpack('<lh256s', blk)
        self.iv = data[0]
        self.sv = str(data[2], 'iso-8859-1')[0:data[1]]
