import java.io.IOException;

public class Testt {
    private static final int NTHREADS = 10;
    private static final int REP = 10;
    public static void main(String[] args) throws Exception {
        long t1 = System.currentTimeMillis();
        Thread[] t = new Thread[NTHREADS];
        for(int i = 0; i < t.length; i++) {
            t[i] = new Thread(new Runnable() {
                public void run() {
                    try {
                        DemotClient cli = new DemotClient(args[0]);
                        for(int j = 0; j < REP; j++) {
                            int stat = cli.noop();
                        }
                    } catch(Exception ex) {
                        ex.printStackTrace();
                    }
                }
            });
        }
        for(int i = 0; i < t.length; i++) {
            t[i].start();
        }
        for(int i = 0; i < t.length; i++) {
            t[i].join();
        }
        long t2 = System.currentTimeMillis();
        System.out.printf("%d ms\n", t2 - t1);
    }
}
