#include <stdio.h>
#include <stdint.h>

#ifdef WIN32
#include <winsock2.h>
#include <ws2tcpip.h>
#endif

#include "DemozClient.h"

int main(int argc, char *argv[])
{
#ifdef WIN32
    WSADATA WSAData;
    WSAStartup(0x0101, &WSAData);
#endif
        for(int i = 0; i < 3; i++)
        {
            DemozClient cli(argv[1]);
            for(int j = 0; j < 3; j++)
            {
                cli.Increment();
                int c1 = 0;
                int c2 = 0;
                cli.Get2(&c1, &c2);
                printf("%d %d (%d)\n", c1, c2, cli.GetCounter());
            }
        }
#ifdef WIN32
    WSACleanup();
#endif
    return 0;
}
